This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 484675 - minor leak of restorecon message
minor leak of restorecon message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Jan Hutař
:
Depends On:
Blocks: 457079
  Show dependency treegraph
 
Reported: 2009-02-09 09:08 EST by Jan Hutař
Modified: 2009-09-10 15:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:11:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-02-09 09:08:27 EST
Description of problem:
During the installation I see restorecon message.


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090206.1


How reproducible:
always


Steps to Reproduce:
1. /mnt/redhat/devel/candidate-trees/Satellite-5.3.0-RHEL5-re20090206.1/i386/i386//install.pl --answer-file=/mnt/tests/CoreOS/RHN-Satellite/Inter-Satellite-Sync/Sanity/general/answers.txt --non-interactive --disconnected --run-updater


Actual results:
* Setting up users and groups.
** GPG: Initializing GPG and importing key.
** GPG: Creating /root/.gnupg directory
* Performing initial configuration.
/sbin/restorecon reset /var/satellite context system_u:object_r:var_t:s0->system_u:object_r:spacewalk_data_t:s0
* Activating RHN Satellite.
** Loading RHN Satellite Certificate.
** Verifying certificate locally.
** Activating RHN Satellite.


Expected results:
no restorecon messages


Additional info:
RHTS test in question:
   http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=45285
Logs for i386 system:
  http://rhts.redhat.com/testlogs/45285/154425/1290317/logs.45285_154425_1290317.tar.gz
Comment 1 Jan Pazdziora 2009-02-11 03:47:10 EST
Fixed in Spacewalk, commit 11e313f511a0b64827fa66f812c3d49569fc4fb0.
Comment 2 Jan Pazdziora 2009-02-12 04:56:19 EST
Tagged into spacewalk-setup-0.5.10-1.
Comment 4 Jan Pazdziora 2009-02-17 02:18:58 EST
Pulling away from ON_QA for now.
Comment 5 Jan Pazdziora 2009-02-24 07:30:48 EST
With compose Satellite-5.3.0-RHEL5-re20090220.1 available, moving ON_QA.
Comment 6 Jan Hutař 2009-03-30 05:22:37 EDT
VERIFIED on Satellite-5.3.0-RHEL5-re20090323.0-[i386,x86_64,s390x]:

[...]
* Setting up users and groups.
** GPG: Initializing GPG and importing key.
** GPG: Creating /root/.gnupg directory
* Performing initial configuration.
* Activating RHN Satellite.
** Loading RHN Satellite Certificate.
** Verifying certificate locally.
** Activating RHN Satellite.
Comment 7 Milan Zazrivec 2009-09-02 07:29:03 EDT
final stage iso:

* Now running setup.
* Loading answer file: /root/answers.txt.
* Setting up Oracle environment.
* Setting up database.
** Database: Installing the database:
** Database: This is a long process that is logged in:
** Database:   /var/log/rhn/install_db.log
*** Progress: ##################################################################
** Database: Installation complete.
** Database: Setting up database connection.
** Database: Testing database connection.
** Database: Populating database.
*** Progress: ############################################################
* Setting up users and groups.
** GPG: Initializing GPG and importing key.
** GPG: Creating /root/.gnupg directory
You must enter an email address.
Admin Email Address? mzazrivec@redhat.com
* Performing initial configuration.
* Activating RHN Satellite.

RELEASE_PENDING
Comment 8 Brandon Perkins 2009-09-10 15:11:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.